# List

Launch stage: GA

`GET /api/2.0/postgres/{parent=projects/*/branches/*}/roles`

Returns a paginated list of Postgres roles in the branch.

API scopes: postgres

## Path parameters

- `parent` (string, optional)
  The Branch that owns this collection of roles.
   Format: projects/{project_id}/branches/{branch_id}

## Query parameters

- `page_token` (string, optional)
  Page token from a previous response. If not provided, returns the first page.
- `page_size` (int32, optional)
  Upper bound for items returned. Cannot be negative.

## Returns

Returns a list of Role objects.

## Response

```json
{
  "roles": [
    {
      "name": "string",
      "parent": "string",
      "create_time": "string",
      "update_time": "string",
      "spec": {},
      "status": {},
      "role_id": "string"
    }
  ],
  "next_page_token": "string"
}
```

